import * as React from 'react';
/**
 * シングルトン
 */
export declare function DialogRootProvider(): JSX.Element;
export interface DialogProps {
    open: boolean;
    children?: React.ReactNode;
    onClose: () => void;
}
export declare function Dialog(props: DialogProps): React.ReactPortal | null;
export interface DialogHeaderProps {
    children?: React.ReactNode;
    className?: string;
}
export declare function DialogHeader(props: DialogHeaderProps): JSX.Element;
export interface DialogContentProps {
    children?: React.ReactNode;
    className?: string;
}
export declare function DialogContent(props: DialogContentProps): JSX.Element;
export interface DialogFooterProps {
    children?: React.ReactNode;
    className?: string;
}
export declare function DialogFooter(props: DialogFooterProps): JSX.Element;
